[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# LongDayNames

Full names of days.

## Declaration

Source position: sysinth.inc line 112

`var LongDayNames: TWeekNameArray;`

## Description

LongDayNames is an array with the full names of days. It is used by the date formatting routines. The initialization routines of the SysUtils unit initialize this string with a value conforming to the regional preferences of the user or system regional default. The array is indexed by values as returned by the DayOfWeek function.

## See also

ShortDateFormat |  | Short Date Format string (subject to locale).
FormatDateTime |  | Return a string representation of a TDateTime value with a given format.
ShortDayNames |  | Names of days, abbreviated form.
ShortMonthNames |  | Names of months, abbreviated form.
DayOfWeek |  | Returns the day of the week.

Documentation generated on: Feb 26 2014